Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 440324

Summary: gnome-base/gnome-keyring-3.4.1-r1: fails to build with dev-libs/libtasn1-3
Product: Gentoo Linux Reporter: Diego Elio Pettenò (RETIRED) <flameeyes>
Component: New packagesAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://tinderboxlogs.s3.amazonaws.com/tbamd64.excelsior.flameeyes.eu/gnome-base%3Agnome-keyring-3.4.1-r1%3A20121030-182558.html
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 436384    
Bug Blocks: 440342    

Description Diego Elio Pettenò (RETIRED) gentoo-dev 2012-10-30 20:49:24 UTC
Portage 2.2.0_alpha134 (default/linux/amd64/10.0, gcc-4.7.1-asneeded, glibc-2.16.0, 3.4.7-hardened x86_64)
=================================================================
System uname: Linux-3.4.7-hardened-x86_64-AMD_Opteron-TM-_Processor_6272-with-gentoo-2.2
Timestamp of tree: Fri, 28 Sep 2012 14:30:01 +0000
ccache version 3.1.8 [disabled]
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.12
dev-lang/python:          2.6.8, 2.7.3-r2, 3.2.3-r1
dev-util/ccache:          3.1.8
dev-util/cmake:           2.8.9
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.10.5
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.4_p6-r1, 1.9.6-r3, 1.10.3, 1.11.6, 1.12.3
sys-devel/binutils:       2.22.90
sys-devel/gcc:            4.5.4, 4.6.3, 4.7.1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.5 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo tbamd64
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -ggdb -march=native -ftracer -frecord-gcc-switches"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/entropy /opt/openjms/config /usr/share/bufrtables /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/openvpn/easy-rsa /usr/share/qpsmtpd/plugins /usr/share/themes/oxygen-gtk/gtk-2.0 /var/bind /var/lib/hsqldb /var/lib/redmine/config /var/yp/Makefile"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/games/angband/edit/ /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /var/lib/redmine/config/locales /var/lib/redmine/config/settings.yml"
CXXFLAGS="-O2 -pipe -ggdb -march=native -ftracer -frecord-gcc-switches"
DISTDIR="/var/cache/portage/distfiles"
FCFLAGS="-O2 -pipe -ggdb -march=native -frecord-gcc-switches"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles news parallel-fetch protect-owned sandbox sfperms strict test test-fail-continue unknown-features-warn unmerge-orphans userfetch userpriv usersandbox"
FFLAGS="-O2 -pipe -ggdb -march=native -frecord-gcc-switches"
GENTOO_MIRRORS="http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ http://gentoo.mirrors.hoobly.com/ http://gentoo.llarian.net/"
LANG="en_US.utf8"
LC_ALL="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j24"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/tmp"
PORTDIR="/var/cache/tinderbox/tree"
PORTDIR_OVERLAY="/root/overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowex acl amd64 berkdb bzip2 cli cracklib crypt cups cxx dri emacs ffmpeg fortran gdbm gnutls gpm iconv ipv6 mmx modules mudflap multilib ncurses nls nptl openmp pam pax_kernel pcre pdf plasma pppd qt3support readline semantic-desktop session snmp sse sse2 sse3 sse4 ssl ssse3 tcmalloc tcpd udev unicode vhosts zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19 ree18" USERLAND="GNU" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Gilles Dartiguelongue gentoo-dev 2012-10-30 21:09:08 UTC
libtasn1 is not masked because it broke lots of ebuilds.
Comment 2 Gilles Dartiguelongue gentoo-dev 2012-10-30 21:10:16 UTC
# Tim Harder <radhermit@gentoo.org> (10 Feb 2012)
# Masked for testing
=net-libs/gnutls-3*
=dev-libs/libtasn1-3*
Comment 3 Diego Elio Pettenò (RETIRED) gentoo-dev 2012-10-30 21:13:48 UTC
*I* masked it.

Because it breaks gnutls and I'm going to unmask gnutls-3 anyway next week.

At the same time I'm reporting what the failures are so that they can get fixed.
Comment 4 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-10-30 23:17:00 UTC
This was fixed in between gnome-keyring-3.4.1 and gnome-keyring-3.5.3 in a single git commit, and the patch for it is 430K in size :/

So, the options are
1. apply the patch, which is far too large to review, and introduce interesting bugs that had been fixed upstream during the 3.5/3.6 development cycle; or
2. move gnome-3.6 from the overlay to gx86 and break absolutely everything in the tree that uses evolution-data-server, for example; or
3. move gnome-keyring-3.6.1 and libgnome-keyring-3.6.1 from the gnome overlay to the tree, and hope that they don't break gnome-3.4 too much.

Obviously #3 is the least awful of the choices, but it's still unpleasant.

Diego, I really wish you had given us more than a week to deal with this...
Comment 5 Diego Elio Pettenò (RETIRED) gentoo-dev 2012-10-30 23:18:14 UTC
I've not _given_ you anything.

I'm going to unmask _gnutls_ 3 next week.

I opened these bugs to assess whether libtasn1 3 would follow or not.

It won't, your analysis is compelling.
Comment 6 Gilles Dartiguelongue gentoo-dev 2012-10-30 23:33:46 UTC
(In reply to comment #3)
> *I* masked it.

sorry that's not what the mask said :(
Comment 7 Diego Elio Pettenò (RETIRED) gentoo-dev 2012-10-30 23:39:59 UTC
That's because I appended to what was there. Nevermind, as I said, I was checking the revdep to see what would break, and to decide when to unmask it. It will be with GNOME 3.6 then, it's fine by me.
Comment 8 Pacho Ramos gentoo-dev 2013-04-28 12:38:14 UTC
3.4 was dropped time ago